Python support broken/disabled on QGIS' quantal master builds when running on ubuntu's 

upcoming ringtail 13.04

2013-01-25 01:29 AM - Mathieu Pellerin - nIRV

Status: Rejected

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 16135

Description

When launching QGIS (quantal master builds offered through http://qgis.org/debian-nightly) under ubuntu's upcoming ringtail 13.04, an

error box appears, stating:

Couldn't load PyQGIS.

Python support will be disabled.

Traceback (most recent call last):

  File "", line 1, in 

RuntimeError: the sip module implements API v9.0 to v9.1 but the qgis.core module requires API v8.1

Python version:

2.7.3 (default, Jan 24 2013, 19:41:43) 

[GCC 4.7.2]

QGIS version:

1.9.0-Master 'Master', exported

Python path:

['/usr/share/qgis/python', '/home/webmaster/.qgis//python', '/home/webmaster/.qgis//python/plugins',

'/usr/share/qgis/python/plugins', '/usr/lib/python2.7', '/usr/lib/python2.7/plat-i386-linux-gnu', '/usr/lib/python2.7/lib-tk',

'/usr/lib/python2.7/lib-old', '/usr/lib/python2.7/lib-dynload', '/usr/local/lib/python2.7/dist-packages',

'/usr/lib/python2.7/dist-packages', '/usr/lib/python2.7/dist-packages/PIL', '/usr/lib/python2.7/dist-packages/gst-0.10',

'/usr/lib/python2.7/dist-packages/gtk-2.0', '/usr/lib/python2.7/dist-packages/ubuntu-sso-client',

'/usr/lib/python2.7/dist-packages/ubuntuone-client', '/usr/lib/python2.7/dist-packages/ubuntuone-control-panel',

'/usr/lib/python2.7/dist-packages/ubuntuone-storage-protocol']

QGIS then launches successfully but all python-based features are disabled.

History

#1 - 2013-01-25 02:33 AM - Jürgen Fischer

- Resolution set to invalid

- Status changed from Open to Rejected

the quantal builds are meant for quantal.
http://qgis.org/debian-nightly


#2 - 2013-01-25 03:40 AM - Mathieu Pellerin - nIRV

Fair enough :-) ive had succesful experiences in the pass with precise builds running fine under quantal. Guess luck ran out.

That said, should a ticket be opened to request the setting up of a raring ringtail build. Or do you prefer to wait until release inApril?

2025-04-27 2/2


